--
-- `#prefix#DomainCategories`
--
CREATE TABLE IF NOT EXISTS `#prefix#DomainCategories` (
    `id`            int(10) unsigned NOT NULL AUTO_INCREMENT,
    `parent_id`     int(10) unsigned NOT NULL,
    `title`         VARCHAR(255) NOT NULL,
    `type`          VARCHAR(255) NOT NULL,
    `header`        TEXT NOT NULL,
    `order`         int(10) unsigned NOT NULL,
    `suggested`      VARCHAR(128) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 DEFAULT COLLATE #collation#;

--
-- `#prefix#DomainCategoriesRelations`
--
CREATE TABLE IF NOT EXISTS `#prefix#DomainCategoriesRelations` (
    `id`               int(10) unsigned NOT NULL AUTO_INCREMENT,
    `tld_id`           int(10) unsigned NOT NULL,
    `category_id`      int(10) unsigned NOT NULL,
    `order`            int(10) unsigned NOT NULL,
    `suggested`        VARCHAR(128) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE #collation#;

--
-- `#prefix#DomainLabels`
--
CREATE TABLE IF NOT EXISTS `#prefix#DomainLabels` (
    `id`               int(10) unsigned NOT NULL AUTO_INCREMENT,
    `title`            VARCHAR(255) NOT NULL,
    `message`          TEXT NOT NULL,
    `order`            int(10) unsigned NOT NULL,
    `color`            VARCHAR(20) NOT NULL,
    `background_color` VARCHAR(20) NOT NULL,
    `premium`          VARCHAR(20) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 DEFAULT COLLATE #collation#;

--
-- `#prefix#DomainLabelsRelations`
--
CREATE TABLE IF NOT EXISTS `#prefix#DomainLabelsRelations` (
    `id`               int(10) unsigned NOT NULL AUTO_INCREMENT,
    `tld_id`           int(10) unsigned NOT NULL,
    `label_id`         int(10) unsigned NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 DEFAULT COLLATE #collation#;

--
-- `#prefix#DemonTask`
--
CREATE TABLE IF NOT EXISTS `#prefix#DemonTask` (
    `id`               int(10)      unsigned                NOT NULL AUTO_INCREMENT,
    `session_id`       VARCHAR(128)                         NOT NULL,
    `status`           enum('waiting','ready')              NOT NULL                  DEFAULT 'waiting',
    `sld`              VARCHAR(255)                         NOT NULL,
    `tld`              VARCHAR(128)                         NOT NULL,
    `domain_status`    enum('error','free','taken', 'none') NOT NULL                  DEFAULT 'none',
    `currency_id`      int(10)                              NOT NULL                  DEFAULT 0,
    `premium_pricing`  TEXT                                 NOT NULL                  DEFAULT '',
    `created_at`       timestamp                            NOT NULL                  DEFAULT '0000-00-00 00:00:00',
    `updated_at`       timestamp                            NOT NULL                  DEFAULT '0000-00-00 00:00:00',
    `deleted_at`       timestamp                            NULL                      DEFAULT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 DEFAULT COLLATE #collation#;

--
-- `#prefix#SubmoduleSettings`
--
CREATE TABLE IF NOT EXISTS `#prefix#SubmoduleSettings` (
    `submodule`        VARCHAR(32) NOT NULL,
    `setting`          VARCHAR(64) NOT NULL,
    `value`            TEXT NOT NULL,
    PRIMARY KEY (`submodule`, `setting`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE #collation#;

INSERT INTO `#prefix#SubmoduleSettings` (`submodule`, `setting`, `value`)
    VALUES ('DefaultSubmodule', 'enableSubmodule', 'on')
    ON DUPLICATE KEY UPDATE `value` = 'on';