<?php

namespace ModulesGarden\DomainOrdersExtended\App\Libs\Api\ENom;

use ModulesGarden\DomainOrdersExtended\App\Helper\AbstractAvailableExtensions;

/**
 * Description of AvailableExtensions
 *
 * @author Rafał Ossowski <rafal.os@modulesgarden.com>
 */
class AvailableExtensions extends AbstractAvailableExtensions
{
    protected $submoduleConfigKey = 'ENom';
    protected $tlds = [
        '.3rdearlyaccess',
        '.5earlyaccess',
        '.aaa.pro',
        '.abc',
        '.abogado',
        '.ac',
        '.aca.pro',
        '.academy',
        '.accountant',
        '.accountants',
        '.acct.pro',
        '.actor',
        '.adult',
        '.ae.org',
        '.agency',
        '.airforce',
        '.am',
        '.apartments',
        '.ar.com',
        '.archi',
        '.army',
        '.art',
        '.asia',
        '.associates',
        '.at',
        '.attorney',
        '.au',
        '.auction',
        '.audio',
        '.auto',
        '.avocat.pro',
        '.band',
        '.bar',
        '.bar.pro',
        '.barcelona',
        '.bargains',
        '.bayern',
        '.be',
        '.beer',
        '.berlin',
        '.bet',
        '.bid',
        '.bike',
        '.bingo',
        '.bio',
        '.biz',
        '.black',
        '.blackfriday',
        '.blog',
        '.blue',
        '.boston',
        '.boutique',
        '.br.com',
        '.builders',
        '.business',
        '.buzz',
        '.bz',
        '.ca',
        '.cab',
        '.cafe',
        '.cam',
        '.camera',
        '.camp',
        '.capital',
        '.car',
        '.cards',
        '.care',
        '.careers',
        '.cars',
        '.casa',
        '.cash',
        '.casino',
        '.catering',
        '.cc',
        '.center',
        '.ceo',
        '.ch',
        '.chat',
        '.cheap',
        '.christmas',
        '.church',
        '.city',
        '.claims',
        '.cleaning',
        '.click',
        '.clinic',
        '.clothing',
        '.cloud',
        '.club',
        '.cm',
        '.cn',
        '.cn.com',
        '.co',
        '.co.com',
        '.co.in',
        '.co.nz',
        '.co.uk',
        '.coach',
        '.codes',
        '.coffee',
        '.college',
        '.com',
        '.com.au',
        '.com.cn',
        '.com.co',
        '.com.de',
        '.com.es',
        '.com.mx',
        '.com.pe',
        '.com.sg',
        '.com.tw',
        '.community',
        '.company',
        '.computer',
        '.condos',
        '.construction',
        '.consulting',
        '.contractors',
        '.cooking',
        '.cool',
        '.country',
        '.coupons',
        '.courses',
        '.cpa.pro',
        '.credit',
        '.creditcard',
        '.cricket',
        '.cymru',
        '.dance',
        '.date',
        '.dating',
        '.de',
        '.de.com',
        '.deals',
        '.degree',
        '.delivery',
        '.democrat',
        '.dental',
        '.dentist',
        '.desi',
        '.design',
        '.diamonds',
        '.diet',
        '.digital',
        '.direct',
        '.directory',
        '.discount',
        '.dmtest01',
        '.dmtest02',
        '.doctor',
        '.dog',
        '.domains',
        '.download',
        '.eapclaims',
        '.eapjuly',
        '.eaptest',
        '.eaptest1',
        '.earlyaccess',
        '.earth',
        '.education',
        '.email',
        '.energy',
        '.eng.pro',
        '.engineer',
        '.engineering',
        '.enom-ga',
        '.enterprises',
        '.equipment',
        '.es',
        '.estate',
        '.eu',
        '.eu.com',
        '.eus',
        '.events',
        '.exchange',
        '.expert',
        '.exposed',
        '.express',
        '.fail',
        '.faith',
        '.family',
        '.fans',
        '.farm',
        '.fashion',
        '.film',
        '.finance',
        '.financial',
        '.firm.in',
        '.fish',
        '.fishing',
        '.fit',
        '.fitness',
        '.flights',
        '.florist',
        '.flowers',
        '.fm',
        '.football',
        '.forsale',
        '.foundation',
        '.fr',
        '.fun',
        '.fund',
        '.furniture',
        '.futbol',
        '.fyi',
        '.gal',
        '.gallery',
        '.game',
        '.games',
        '.garden',
        '.gen.in',
        '.gent',
        '.gift',
        '.gifts',
        '.gives',
        '.glass',
        '.global',
        '.gmbh',
        '.gold',
        '.golf',
        '.gr.com',
        '.graphics',
        '.gratis',
        '.green',
        '.gripe',
        '.group',
        '.gs',
        '.guide',
        '.guitars',
        '.guru',
        '.hamburg',
        '.haus',
        '.help',
        '.hiphop',
        '.hockey',
        '.holdings',
        '.holiday',
        '.horse',
        '.hospital',
        '.host',
        '.hosting',
        '.house',
        '.how',
        '.hu.com',
        '.idv.tw',
        '.immo',
        '.immobilien',
        '.in',
        '.ind.in',
        '.info',
        '.ink',
        '.institute',
        '.insure',
        '.international',
        '.investments',
        '.io',
        '.irish',
        '.it',
        '.jetzt',
        '.jewelry',
        '.jobs',
        '.jp',
        '.jpn.com',
        '.juegos',
        '.jur.pro',
        '.kaufen',
        '.kim',
        '.kitchen',
        '.kiwi',
        '.la',
        '.land',
        '.lannie',
        '.law',
        '.law.pro',
        '.lawyer',
        '.lease',
        '.legal',
        '.lgbt',
        '.li',
        '.life',
        '.lighting',
        '.limited',
        '.limo',
        '.link',
        '.live',
        '.loan',
        '.loans',
        '.lol',
        '.london',
        '.love',
        '.ltd',
        '.ltda',
        '.luxury',
        '.maison',
        '.management',
        '.market',
        '.marketing',
        '.mba',
        '.me',
        '.me.uk',
        '.med.pro',
        '.media',
        '.melbourne',
        '.memorial',
        '.men',
        '.menu',
        '.miami',
        '.mobi',
        '.moda',
        '.moe',
        '.mom',
        '.money',
        '.mortgage',
        '.movie',
        '.ms',
        '.nagoya',
        '.name',
        '.navy',
        '.net',
        '.net.au',
        '.net.cn',
        '.net.co',
        '.net.in',
        '.net.nz',
        '.net.pe',
        '.network',
        '.news',
        '.ngo',
        '.ninja',
        '.nl',
        '.no.com',
        '.nom.co',
        '.nom.es',
        '.nom.pe',
        '.nu',
        '.nyc',
        '.nz',
        '.okinawa',
        '.one',
        '.ong',
        '.onl',
        '.online',
        '.ooo',
        '.org',
        '.org.au',
        '.org.cn',
        '.org.es',
        '.org.in',
        '.org.nz',
        '.org.pe',
        '.org.tw',
        '.org.uk',
        '.osaka',
        '.paris',
        '.partners',
        '.party',
        '.pe',
        '.pet',
        '.photo',
        '.photography',
        '.photos',
        '.physio',
        '.pics',
        '.pictures',
        '.pink',
        '.pizza',
        '.place',
        '.plumbing',
        '.plus',
        '.poker',
        '.porn',
        '.press',
        '.pro',
        '.productions',
        '.promo',
        '.properties',
        '.property',
        '.protection',
        '.pub',
        '.pw',
        '.qc.com',
        '.qpon',
        '.que',
        '.quebec',
        '.racing',
        '.radio.am',
        '.radio.fm',
        '.ram',
        '.recht.pro',
        '.recipes',
        '.red',
        '.rehab',
        '.reise',
        '.reisen',
        '.rent',
        '.repair',
        '.report',
        '.republican',
        '.rest',
        '.restaurant',
        '.review',
        '.reviews',
        '.rich',
        '.rip',
        '.rocks',
        '.rodeo',
        '.ru.com',
        '.run',
        '.ryukyu',
        '.sa.com',
        '.sale',
        '.salon',
        '.sarl',
        '.school',
        '.schule',
        '.science',
        '.scot',
        '.se.com',
        '.se.net',
        '.security',
        '.services',
        '.sex',
        '.sexy',
        '.sg',
        '.sh',
        '.shiksha',
        '.shoes',
        '.shop',
        '.shopping',
        '.show',
        '.singles',
        '.site',
        '.ski',
        '.soccer',
        '.social',
        '.solar',
        '.solutions',
        '.soy',
        '.space',
        '.srl',
        '.store',
        '.stream',
        '.studio',
        '.study',
        '.style',
        '.sucks',
        '.supplies',
        '.support',
        '.surf',
        '.surgery',
        '.sydney',
        '.systems',
        '.tattoo',
        '.tax',
        '.taxi',
        '.tc',
        '.team',
        '.tech',
        '.technology',
        '.tel',
        '.tennis',
        '.theater',
        '.theatre',
        '.tips',
        '.tires',
        '.tm',
        '.today',
        '.tokyo',
        '.top',
        '.tours',
        '.town',
        '.toys',
        '.trade',
        '.trading',
        '.training',
        '.tube',
        '.tv',
        '.tw',
        '.uk',
        '.uk.com',
        '.uk.net',
        '.university',
        '.uno',
        '.us',
        '.us.com',
        '.us.org',
        '.uy.com',
        '.vacations',
        '.vegas',
        '.ventures',
        '.vet',
        '.vg',
        '.viajes',
        '.video',
        '.villas',
        '.vin',
        '.vip',
        '.vision',
        '.vodka',
        '.vote',
        '.voting',
        '.voto',
        '.voyage',
        '.wales',
        '.watch',
        '.webcam',
        '.website',
        '.wedding',
        '.wiki',
        '.win',
        '.wine',
        '.work',
        '.works',
        '.world',
        '.woz',
        '.ws',
        '.wtf',
        '.xn--3ds443g',
        '.xn--6frz82g',
        '.xn--80asehdb',
        '.xn--c1avg',
        '.xn--czrs0t',
        '.xn--fiq228c5hs',
        '.xn--fjq720a',
        '.xn--hxt814e',
        '.xn--mgbh0fb',
        '.xn--ngbc5azd',
        '.xn--nqv7f',
        '.xn--q9jyb4c',
        '.xn--tckwe',
        '.xn--unup4y',
        '.xn--vhquv',
        '.xxx',
        '.xyz',
        '.yoga',
        '.yokohama',
        '.za.com',
        '.zone'
    ];
}
