<?php

namespace ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS;

use ModulesGarden\DomainOrdersExtended\App\Helper\AbstractAvailableExtensions;

/**
 * Description of AvailableExtensions
 *
 * @author Rafał Ossowski <rafal.os@modulesgarden.com>
 */
class AvailableExtensions extends AbstractAvailableExtensions
{
    protected $submoduleConfigKey = 'OpenSRS';
    protected $tlds = [
        '.abogado',
        '.ac',
        '.academy',
        '.accountant',
        '.accountants',
        '.actor',
        '.adult',
        '.ae',
        '.aero',
        '.af',
        '.ag',
        '.agency',
        '.ai',
        '.airforce',
        '.alsace',
        '.am',
        '.amsterdam',
        '.apartments',
        '.ar',
        '.archi',
        '.army',
        '.as',
        '.asia',
        '.associates',
        '.at',
        '.attorney',
        '.au',
        '.auction',
        '.audio',
        '.auto',
        '.band',
        '.bar',
        '.barcelona',
        '.bargains',
        '.bayern',
        '.be',
        '.beer',
        '.berlin',
        '.best',
        '.bet',
        '.bid',
        '.bike',
        '.bingo',
        '.bio',
        '.biz',
        '.black',
        '.blackfriday',
        '.blue',
        '.boutique',
        '.br',
        '.brussels',
        '.build',
        '.builders',
        '.business',
        '.buzz',
        '.bz',
        '.bzh',
        '.ca',
        '.cab',
        '.cafe',
        '.camera',
        '.camp',
        '.capetown',
        '.capital',
        '.car',
        '.cars',
        '.cards',
        '.care',
        '.careers',
        '.casa',
        '.cash',
        '.casino',
        '.cat',
        '.catering',
        '.cc',
        '.cd',
        '.center',
        '.ceo',
        '.ch',
        '.chat',
        '.cheap',
        '.christmas',
        '.church',
        '.city',
        '.cl',
        '.claims',
        '.cleaning',
        '.click',
        '.clinic',
        '.clothing',
        '.cloud',
        '.club',
        '.cm',
        '.cn',
        '.co',
        '.coach',
        '.codes',
        '.coffee',
        '.college',
        '.cologne',
        '.com',
        '.community',
        '.company',
        '.computer',
        '.condos',
        '.construction',
        '.consulting',
        '.contractors',
        '.cooking',
        '.cool',
        '.coop',
        '.country',
        '.coupons',
        '.courses',
        '.credit',
        '.creditcard',
        '.cricket',
        '.cruises',
        '.cx',
        '.cymru',
        '.cz',
        '.dance',
        '.date',
        '.dating',
        '.de',
        '.deals',
        '.degree',
        '.delivery',
        '.democrat',
        '.dental',
        '.dentist',
        '.desi',
        '.design',
        '.diamonds',
        '.diet',
        '.digital',
        '.direct',
        '.directory',
        '.discount',
        '.dk',
        '.dog',
        '.domains',
        '.download',
        '.durban',
        '.earth',
        '.ec',
        '.education',
        '.email',
        '.energy',
        '.engineer',
        '.engineering',
        '.enterprises',
        '.equipment',
        '.es',
        '.estate',
        '.eu',
        '.events',
        '.exchange',
        '.expert',
        '.exposed',
        '.express',
        '.fail',
        '.faith',
        '.family',
        '.fans',
        '.farm',
        '.fashion',
        '.feedback',
        '.fi',
        '.finance',
        '.financial',
        '.fish',
        '.fishing',
        '.fit',
        '.fitness',
        '.flights',
        '.florist',
        '.flowers',
        '.fm',
        '.football',
        '.forsale',
        '.foundation',
        '.fr',
        '.frl',
        '.fund',
        '.furniture',
        '.futbol',
        '.fyi',
        '.gallery',
        '.game',
        '.garden',
        '.gd',
        '.gg',
        '.gift',
        '.gifts',
        '.gives',
        '.gl',
        '.glass',
        '.global',
        '.gmbh',
        '.gold',
        '.golf',
        '.gr',
        '.graphics',
        '.gratis',
        '.green',
        '.gripe',
        '.group',
        '.gs',
        '.guide',
        '.guitars',
        '.guru',
        '.gy',
        '.hamburg',
        '.haus',
        '.healthcare',
        '.help',
        '.hiphop',
        '.hiv',
        '.hk',
        '.hm',
        '.hn',
        '.hockey',
        '.holdings',
        '.holiday',
        '.horse',
        '.host',
        '.hosting',
        '.house',
        '.how',
        '.hr',
        '.ht',
        '.hu',
        '.il',
        '.im',
        '.immo',
        '.immobilien',
        '.in',
        '.industries',
        '.info',
        '.ink',
        '.institute',
        '.insure',
        '.international',
        '.investments',
        '.io',
        '.irish',
        '.is',
        '.ist',
        '.istanbul',
        '.it',
        '.je',
        '.jetzt',
        '.jewelry',
        '.jobs',
        '.joburg',
        '.jp',
        '.juegos',
        '.kaufen',
        '.kg',
        '.ki',
        '.kim',
        '.kitchen',
        '.kiwi',
        '.koeln',
        '.kr',
        '.la',
        '.land',
        '.law',
        '.lawyer',
        '.lc',
        '.lease',
        '.legal',
        '.lgbt',
        '.li',
        '.life',
        '.lighting',
        '.limited',
        '.limo',
        '.link',
        '.live',
        '.loan ',
        '.loans',
        '.lol',
        '.london',
        '.love',
        '.lt',
        '.ltd ',
        '.ltda',
        '.lu',
        '.luxury',
        '.lv',
        '.ly',
        '.ma',
        '.maison',
        '.management',
        '.market',
        '.marketing',
        '.mba',
        '.md',
        '.me',
        '.media',
        '.melbourne',
        '.memorial',
        '.men',
        '.menu',
        '.miami',
        '.mn',
        '.mobi',
        '.moda',
        '.moe',
        '.mom',
        '.money',
        '.mortgage',
        '.movie',
        '.ms',
        '.mu',
        '.mx',
        '.my',
        '.nagoya',
        '.name',
        '.navy',
        '.net',
        '.network',
        '.news',
        '.ngo/.ong',
        '.ninja',
        '.nl',
        '.no',
        '.nrw',
        '.nu',
        '.nyc',
        '.nz',
        '.one',
        '.online',
        '.org',
        '.paris',
        '.partners',
        '.parts',
        '.party',
        '.pe',
        '.pet',
        '.ph',
        '.photo',
        '.photography',
        '.photos',
        '.physio',
        '.pics',
        '.pictures',
        '.pink',
        '.pizza',
        '.pl',
        '.place',
        '.plumbing',
        '.plus',
        '.pm',
        '.poker',
        '.porn',
        '.pr',
        '.press',
        '.pro',
        '.productions',
        '.promo',
        '.properties',
        '.property',
        '.protection',
        '.pt',
        '.pub',
        '.pw',
        '.qa',
        '.quebec',
        '.racing',
        '.re',
        '.recipes',
        '.red',
        '.rehab',
        '.reise',
        '.reisen',
        '.rent',
        '.rentals',
        '.repair',
        '.report',
        '.republican',
        '.rest',
        '.restaurant',
        '.review',
        '.reviews',
        '.rip',
        '.ro',
        '.rocks',
        '.rodeo',
        '.ru',
        '.ruhr',
        '.run',
        '.sale',
        '.salon',
        '.sarl',
        '.sb',
        '.sc',
        '.school',
        '.schule',
        '.science',
        '.scot',
        '.se',
        '.security',
        '.services',
        '.sexy',
        '.sg',
        '.sh',
        '.shoes',
        '.show',
        '.si',
        '.singles',
        '.site',
        '.ski',
        '.so',
        '.soccer',
        '.social',
        '.software',
        '.solar',
        '.solutions',
        '.soy',
        '.space',
        '.sr',
        '.st',
        '.store',
        '.stream',
        '.studio',
        '.study',
        '.style',
        '.sucks',
        '.supplies',
        '.supply',
        '.support',
        '.surf',
        '.surgery',
        '.sx',
        '.sydney',
        '.systems',
        '.tattoo',
        '.tax',
        '.taxi',
        '.tc',
        '.team',
        '.tech',
        '.technology',
        '.tel',
        '.tennis',
        '.tf',
        '.theater',
        '.theatre',
        '.tienda',
        '.tips',
        '.tires',
        '.tirol',
        '.tk',
        '.tl',
        '.tm',
        '.to',
        '.today',
        '.tokyo',
        '.tools',
        '.top',
        '.tours',
        '.town',
        '.toys',
        '.trade',
        '.training',
        '.travel',
        '.tv',
        '.tw',
        '.ua',
        '.uk',
        '.university',
        '.uno',
        '.us',
        '.uy',
        '.vacations',
        '.vc',
        '.ve',
        '.vegas',
        '.ventures',
        '.vet',
        '.vg',
        '.viajes',
        '.video',
        '.villas',
        '.vin',
        '.vip',
        '.vision',
        '.vlaanderen',
        '.vodka',
        '.vote',
        '.voto',
        '.voyage',
        '.wales',
        '.watch',
        '.webcam',
        '.website',
        '.wedding',
        '.wf',
        '.wien',
        '.wiki',
        '.win',
        '.wine',
        '.work',
        '.works',
        '.world',
        '.ws',
        '.wtf',
        '.xxx',
        '.xyz',
        '.yoga',
        '.yokohama',
        '.yt',
        '.za',
        '.zone'
    ];
}
