<?php

namespace ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS\Fastlookup;

use ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS\FastLookup;
use ModulesGarden\DomainOrdersExtended\App\Libs\Api\OpenSRS\Exception;

class FastDomainLookup extends FastLookup
{
    protected $_domain = '';
    protected $_tldSelect = array();
    protected $_tldAll = array();
    protected $_formatHolder = '';
    public $resultFullRaw;
    public $resultRaw;
    public $resultFullFormatted;
    public $resultFormatted;
    public $tlds;

    public function __construct($formatString, $dataObject)
    {
        $this->_formatHolder = $formatString;

        $this->_validateObject($dataObject);
        $this->setDataObject($formatString, $dataObject);

        $this->send($this->tlds);
    }

    // Validate the object
    private function _validateObject($dataObject)
    {
        $domain = '';

        // search domain must be definded
        if (!isset($dataObject->data->domain)) {
            Exception::notDefined('domain');
        }

        // Grab domain name
        $domain = $dataObject->data->domain;

        if (!isset($dataObject->data->selected)) {
            Exception::notDefined('selected');
        }

        if (!isset($dataObject->data->alldomains)) {
            Exception::notDefined('alldomains');
        }

        $selected = explode(';', $dataObject->data->selected);
        $this->tlds = explode(';', $dataObject->data->alldomains);

        if (count(array_filter($selected)) >= 1) {
            $this->tlds = $selected;
        }
        
    }
}
