var mgUrlParser = {
    url: null,
    
    getCurrentUrl: function(){
        if(!this.url){
            if(window.location.href.indexOf('#') > 0){
                this.url = window.location.href.substr(0, window.location.href.indexOf('#'));
            }else{
                this.url = window.location.href;
            }       
        }
        
        return this.url;
    }
};

function loadComponsnts(){
            
    Vue.component('mg-emptyContainer', {
        template : '#mg-emptyBodyContainer',
        data : function(){
            return {
                contentLoading : true
            };
        }
    });     
}




function loadCartAnimation(){
    if( $('#sticky-sidebar').length){

        $('#sticky-sidebar').stickySidebar({
            topSpacing: 32,
            bottomSpacing: 32
        });
    }
}

function mgVuePageControler(controlerId) {
    this.baseLoaderUrl = mgUrlParser.getCurrentUrl(),
    this.vueLoader = false,
    this.vinit = function() {
        var cthis = this;
        cthis.vueLoader =  new Vue({
            el: '#'+controlerId,
            data: {
                searchString: '',
                isSearchString: true,
                suggestedActiveCategory: true,
                checkedTlds: [],
                isOpenTldsSuggested: false,
                isSuggested: false,
                specialChoice: false,
                suggested: {},
                categores: {},
                activeCategory: 0,
                cartTotals: {},
                tlds: {},
                idInterval: 0,
                sld: "",
                categoreCurent: null,
                tldsCount: 0,
                projects: [],
                targetId : controlerId,
                targetUrl : mgUrlParser.getCurrentUrl(),
                pageLoading : false,
                returnedData : null,
                loading : false,
                loadingCart : false,
                loaderComponent : '<div class="row"><i class="dataTables_processing"></i></div>',
                sSearch : null,
                showModal : false,
                htmlContent : '',
                modalBodyContainer : 'mg-modal-body',
                isCheckAvailability: false,
                premiumPricing: [],
                showResultAndCart: false,
                allTlds: {},
                showAllTlds: true,
                searchTldString: ''
            },
            watch:{
                searchTldString(){
                    var self = this;
                    if(self.searchTldString == ""){
                        self.showAllTlds = true;
                    }else{
                        self.showAllTlds = false;
                    }
                    for (var prop in self.allTlds) {
                        // skip loop if the property is from prototype
                        if(!self.allTlds.hasOwnProperty(prop)) continue;

                        if(prop == self.searchTldString || prop.indexOf(self.searchTldString) > -1){
                            self.allTlds[prop] = true;
                        }else{
                            self.allTlds[prop] = false;
                        }
                    }

                }
            },
            created: function () {
                loadComponsnts();
                var self = this;
                self.defaultTlds();
                self.searchString = jQuery('input[name="search"]').val();
                self.pageLoading = true;
                self.loadCardData();
                jQuery( document ).ready(function() {
                    self.pageLoading = false;
                });
                $('#' + self.targetId).removeClass('vhidden');
            },
            methods: {
                trigerFirstSearch: function () {
                    var self = this;
                    if (self.searchString.length > 0) {
                        jQuery('#buttonDoeSearchSubmit').trigger('click');
                    }
                },
                makeSearch: function(event) {
                    this.trigerFirstSearch();
                },
                defaultTlds: function () {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('getDefaultTlds');
                    self.addUrlComponent('ajax', '1');
                    
                    var url = self.targetUrl;
                    self.pageLoading = true;
                    $.post(url, {})
                    .done(function( data ) {
                        self.pageLoading = false;
                        self.checkedTlds = data.data;

                        self.$nextTick(function() {
                            self.loadICheck();
                            self.trigerFirstSearch();
                        });                           
                    }).fail(function() {
                        self.trigerFirstSearch();
                    });
                },
                openCloseTldsSuggested: function () {
                    var self = this;
                    if (self.isOpenTldsSuggested) {
                        self.checkedTlds = [];
                        self.isOpenTldsSuggested = false;
                        jQuery('.extensions-list input[type="checkbox"]').removeAttr('checked').iCheck('update');
                    } else {
                        for (var prop in self.allTlds) {
                            // skip loop if the property is from prototype
                            if(!self.allTlds.hasOwnProperty(prop)) continue;

                            if(self.allTlds[prop] === true){
                                jQuery('.extensions-list input[value="'+ prop +'"]').iCheck('check');
                                if (self.checkedTlds.indexOf(prop) == -1) {
                                    self.checkedTlds.push(prop);
                                }
                            }
                        }
                        self.isOpenTldsSuggested = true;
                    }
                },
                loadICheck: function (){
                    var self = this;

                    jQuery.each(jQuery('.extensions-list').find('input[type="checkbox"]'), function () {
                        self.allTlds[$(this).val()] = true;
                    });
                    if(self.allTlds.length > 0){
                        self.showAllTlds = false;
                    }
                    $('body').find('#doeSearch input:not(.icheck-input):not(.switch__checkbox)').iCheck({
                        checkboxClass: 'checkbox-styled',
                        radioClass: 'radio-styled',
                        increaseArea: '40%'
                    }).on('ifChanged', function(event){
                        var value = jQuery(this).val();

                        if(jQuery.inArray(value, self.checkedTlds) == -1){
                            self.checkedTlds.push(value);
                        }
                        else{
                            self.checkedTlds.splice( jQuery.inArray(value, self.checkedTlds), 1 );
                        }

                        if(self.objectSize(self.allTlds) == self.checkedTlds.length){
                            self.isOpenTldsSuggested = true;
                        }else{
                            self.isOpenTldsSuggested = false;
                        }
                    });
                    if(self.objectSize(self.allTlds) == self.checkedTlds.length) {
                        self.isOpenTldsSuggested = true;
                    }


                },
                objectSize: function(object){
                        var size = 0, key;
                        for (key in object) {
                            if (object.hasOwnProperty(key)) size++;
                        }
                        return size;

                },
                setCategoryActive: function (categoryId, index) {
                    var self = this;
                    self.categoreCurent = categoryId;
                    if (self.categores[index].tldCount > 0) {
                        self.activeCategory = categoryId;
                    } else {
                        var id = 0;
                        for (var sid in self.categores[index].subCategores) {
                            if (self.categores[index].subCategores[sid].tldCount > 0) {
                                id = sid;
                                break;
                            }
                        }
                        self.activeCategory = self.categores[index].subCategores[id].id;
                    }
                },
                suggestedTransfer: function (domain, tldId, sld, numberOfYear) {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('transferDomain');
                    self.addUrlComponent('ajax', '1');
                    
                    var params = {domain: domain, tldId: tldId, numberOfYear: numberOfYear};
                    var url = self.targetUrl;
                    
                    $.post(url, params)
                    .done(function( data ) {
                        self.suggestedChangeAddToCartTld(tldId, sld);
                    });
                },
                transfer: function (domain, tldId, categoreId, numberOfYear) {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('transferDomain');
                    self.addUrlComponent('ajax', '1');
                    
                    var params = {domain: domain, tldId: tldId, categoreId: categoreId, numberOfYear: numberOfYear};
                    var url = self.targetUrl;
                    
                    $.post(url, params)
                    .done(function( data ) {
                        self.changeAddToCartTld(categoreId, tldId, self.sld.toLowerCase());
                    });
                },
                removeItemInCart: function (domainKey, grupe, domain) {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('removeInCart');
                    self.addUrlComponent('ajax', '1');
                    var params = {domainKey: domainKey, grupe: grupe, domain: domain};
                    var url = self.targetUrl;
                    self.loadingCart = true;
                    $.post(url, params)
                    .done(function( data ) {
                        data = data.data;
                        if (data.sld && data.sld == self.sld) {
                           var resutl = self.findTldId(data.tld);
                           self.backToCartTld(resutl.category, resutl.tld); 
                           self.suggestedBackToCartTld(data.sld, data.tld);
                        } else if (self.suggested && self.suggested.length > 0 && data.sld && data.sld != self.sld) {
                            self.suggestedBackToCartTld(data.sld, data.tld);
                        } else {
                            self.loadCardData();
                        }
                        self.loadingCart = false;
                    });
                },
                suggestedRegister: function (domain, tldId, sld, numberOfYear) {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('registerDomain');
                    self.addUrlComponent('ajax', '1');
                    
                    var params = {domain: domain, tldId: tldId, numberOfYear: numberOfYear};
                    var url = self.targetUrl;
                    
                    $.post(url, params)
                    .done(function( data ) {
                        self.suggestedChangeAddToCartTld(tldId, sld);
                    });
                },
                register: function (domain, tldId, categoreId, numberOfYear) {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('registerDomain');
                    self.addUrlComponent('ajax', '1');
                    
                    var params = {domain: domain, tldId: tldId, categoreId: categoreId, numberOfYear: numberOfYear};
                    var url = self.targetUrl;
                    
                    $.post(url, params)
                    .done(function( data ) {
                        self.changeAddToCartTld(categoreId, tldId, self.sld.toLowerCase());
                    });
                },
                suggestedChangeAddToCartTld: function (tldId, sld) {
                    var self = this;
                    var categoryId = self.findCategoryIdByTldId(tldId);
                    self.changeAddToCartTld(categoryId, tldId, sld.toLowerCase());
                },
                findCategoryIdByTldId: function (tldId) {
                    var self = this;
                    var find = null;
                    for (var id in self.categores) {
                        if (find) {
                            break;
                        }
                        if (self.categores[id].subCategores && self.categores[id].subCategores.length > 0) {
                            for (var sId in self.categores[id].subCategores) {
                                if (find) {
                                    break;
                                }
                                for (var tid in self.categores[id].subCategores[sId].tlds) {
                                    if (find) {
                                        break;
                                    }
                                    if (self.categores[id].subCategores[sId].tlds[tid].id == tldId) {
                                        find = self.categores[id].id;
                                    }
                                }

                            }
                        }

                        for (var tid in self.categores[id].tlds) {
                            if (find) {
                                break;
                            }
                            if (self.categores[id].tlds[tid].id == tldId) {
                                find = self.categores[id].id;
                            }
                        }
                    }
                    return find;
                },
                findTldId: function (tld) {
                    var self = this;
                    var find = false;
                    var result = {category: null, tld: null};
                    for (var id in self.categores) {
                        if (find) {
                            break;
                        }
                        if (self.categores[id].subCategores && self.categores[id].subCategores.length > 0) {
                            for (var sId in self.categores[id].subCategores) {
                                if (find) {
                                    break;
                                }
                                for (var tid in self.categores[id].subCategores[sId].tlds) {
                                    if (find) {
                                        break;
                                    }
                                    if (self.categores[id].subCategores[sId].tlds[tid].name == tld) {
                                        result.category = self.categores[id].id;
                                        result.tld      = self.categores[id].subCategores[sId].tlds[tid].id;
                                        find = true;
                                    }
                                }

                            }
                        }

                        for (var tid in self.categores[id].tlds) {
                            if (find) {
                                break;
                            }
                            if (self.categores[id].tlds[tid].name == tld) {
                                result.category = self.categores[id].id;
                                result.tld      = self.categores[id].tlds[tid].id;
                                find = true;
                            }
                        }
                    }
                    for (var id in self.tlds) {
                        if (find) {
                            break;
                        }
                        if (self.tlds[id].name == tld) {
                            result.tld      = self.tlds[id].id;
                            find = true;
                        }
                    }
                    if (self.specialChoice && self.specialChoice.tld.name == tld) {
                        result.tld      = self.specialChoice.tld.id;
                        result.category = self.specialChoice.categore.id;
                    }
                    
                    return result;
                },
                loadCardData: function () {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('cartData');
                    self.addUrlComponent('ajax', '1');
                    
                    self.loadingCart = true;
                    $.post(self.targetUrl, {})
                    .done(function( data ) {
                        self.cartTotals = data.data;
                        self.loadingCart = false;

                    });
                },
                changeAddToCartTld: function (categoryId, tldId, sld) {
                    var self = this;
                    if (categoryId != null && sld == self.sld)
                    {
                        for (var id in self.categores) {
                            if (self.categores[id].subCategores && self.categores[id].subCategores.length == 0 && self.categores[id].id != categoryId || self.categores[id].id != categoryId) {
                                continue;
                            } else if (self.categores[id].subCategores && self.categores[id].subCategores.length > 0) {
                                for (var sId in self.categores[id].subCategores) {
                                    for (var tid in self.categores[id].subCategores[sId].tlds) {
                                        if (self.categores[id].subCategores[sId].tlds[tid].id == tldId) {
                                            self.categores[id].subCategores[sId].tlds[tid].addToCart = true;
                                            self.categores[id].subCategores[sId].tlds[tid].waiting = false;
                                        }
                                    }
                                    
                                }
                            }
                            
                            for (var tid in self.categores[id].tlds) {
                                if (self.categores[id].tlds[tid].id == tldId) {
                                    self.categores[id].tlds[tid].addToCart = true;
                                    self.categores[id].tlds[tid].waiting = false;
                                }
                            }
                        }
                    }
                    else if(categoryId == null && sld == self.sld)
                    {
                        for (var id in self.tlds) {
                            if (self.tlds[id].id == tldId) {
                                self.tlds[id].addToCart = true;
                                self.tlds[id].waiting = false;
                            }
                        }
                    }
                    
                    if (sld != null) {
                        for (var id in self.suggested) {
                            if (self.suggested[id].id == tldId && self.suggested[id].sld.toLowerCase() == sld) {
                                self.suggested[id].addToCart = true;
                                self.suggested[id].waiting = false;
                                break;
                            }
                        }
                    }
                    
                    if (self.specialChoice && self.specialChoice.tld.id == tldId && sld == self.sld) {
                        self.specialChoice.tld.addToCart = true;
                        self.specialChoice.tld.waiting = false;
                    }
                    self.loadCardData();
                },
                suggestedBackToCartTld: function (sld, tld) {
                    var self = this;
                    for (var id in self.suggested) {
                        if (self.suggested[id].name == tld && self.suggested[id].sld.toLowerCase() == sld) {
                            self.suggested[id].addToCart = false;
                            self.suggested[id].waiting = false;
                            break;
                        }
                    }
                    self.loadCardData();
                },
                backToCartTld: function (categoryId, tldId) {
                    var self = this;
                    if (categoryId != null)
                    {
                        for (var id in self.categores) {
                            if (self.categores[id].subCategores
                                    && self.categores[id].subCategores.length == 0
                                    && self.categores[id].id != categoryId
                                    || self.categores[id].id != categoryId) {
                                continue;
                            } else if (self.categores[id].subCategores && self.categores[id].subCategores.length > 0) {
                                for (var sId in self.categores[id].subCategores) {
                                    for (var tid in self.categores[id].subCategores[sId].tlds) {
                                        if (self.categores[id].subCategores[sId].tlds[tid].id == tldId) {
                                            self.categores[id].subCategores[sId].tlds[tid].addToCart = false;
                                        }
                                    }
                                    
                                }
                            }
                            
                            for (var tid in self.categores[id].tlds) {
                                
                                if (self.categores[id].tlds[tid].id == tldId) {
                                    self.categores[id].tlds[tid].addToCart = false;
                                }
                            }
                        }
                    }
                    else
                    {
                        for (var id in self.tlds) {
                            if (self.tlds[id].id == tldId) {
                                self.tlds[id].addToCart = false;
                            }
                        }
                    }
                    
                    if (self.specialChoice && self.specialChoice.tld.id == tldId) {
                        self.specialChoice.tld.addToCart = false;
                    }
                    
                    self.loadCardData();
                },
                openAccordion: function (categoryId, subCategoryId) {
                    var self = this;
                    
                    if (categoryId != null) {
                        if (self.activeCategory === categoryId) {
                            self.activeCategory = 0;
                        } else {
                            self.activeCategory = categoryId;
                        }
                    } else {
                        if (self.activeCategory === subCategoryId) {
                            self.activeCategory = 0;
                        } else {
                            self.activeCategory = subCategoryId;
                        }
                        
                    }
                },
                changeStatusTlds: function (data){
                    var self = this;
                    for (var id in self.categores) {
                        for (var tid in self.categores[id].tlds) {
                            if (self.categores[id].tlds[tid].checked !== false) {
                                continue;
                            }
                            for (var record in data) {
                                if (data[record].id == self.categores[id].tlds[tid].id) {
                                    self.updatePremiumPricing(data[record]);
                                    Vue.set(self.categores[id].tlds[tid], 'checked', true);
                                    Vue.set(self.categores[id].tlds[tid], 'status', data[record].status);
                                    self.tldsCount = self.tldsCount - 1;

                                }
                            }
                        }
                        for (var sid in self.categores[id].subCategores) {
                            for (var tid in self.categores[id].subCategores[sid].tlds) {
                                if (self.categores[id].subCategores[sid].tlds[tid].checked !== false) {
                                    continue;
                                }
                                for (var record in data) {
                                    if (data[record].id == self.categores[id].subCategores[sid].tlds[tid].id) {
                                        self.updatePremiumPricing(data[record]);
                                        Vue.set(self.categores[id].subCategores[sid].tlds[tid], 'checked', true);
                                        Vue.set(self.categores[id].subCategores[sid].tlds[tid], 'status', data[record].status);
                                        self.tldsCount = self.tldsCount - 1;
                                    }
                                }
                            }
                        }
                    }
                    for (var id in self.tlds) {
                        if (self.tlds[id].checked !== false) {
                            continue;
                        }
                        for (var record in data) {
                            if (data[record].id == self.tlds[id].id) {
                                self.updatePremiumPricing(data[record]);
                                Vue.set(self.tlds[id], 'checked', true);
                                Vue.set(self.tlds[id], 'status', data[record].status);
                                self.tldsCount = self.tldsCount - 1;
                            }
                        }
                    }
                    
                    if (self.specialChoice !== false && self.specialChoice.tld.checked === false) {
                        for (var record in data) {
                            if (data[record].id == self.specialChoice.tld.id) {
                                self.updatePremiumPricing(data[record]);
                                Vue.set(self.specialChoice.tld, 'checked', true);
                                Vue.set(self.specialChoice.tld, 'status', data[record].status);
                            }
                        }
                    }
                    self.isCheckAvailability = false;
                },
                clearinterval: function () {
                    var self = this;
                    clearInterval(self.idInterval);
                },
                checkAvailability: function() {
                    var self = this;
                    self.refreshUrl();
                    self.changeAction('checkAvailability');
                    self.addUrlComponent('ajax', '1');
                    var url = self.targetUrl;
                    self.idInterval = setInterval(function () {
                        if (self.isCheckAvailability === false) {
                            self.isCheckAvailability = true;
                            $.post(url, {})
                            .done(function( data ) {
                                data = data.data;
                                if (data) {
                                    self.changeStatusTlds(data);
                                }
                                if (self.tldsCount <= 0) {
                                    self.clearinterval();
                                }
                            });
                        }
                        
                    }, 1000);
                    
                },
                addUrlComponent : function($name, $value) {
                    var self = this;
                    self.targetUrl += (self.targetUrl.indexOf('?') ? '&' : '?') + $name + '=' + $value;
                },
                refreshUrl : function() {
                    var self = this;
                    self.targetUrl = mgUrlParser.getCurrentUrl();
                    if(self.targetUrl.indexOf('#') > 0) {
                        self.targetUrl = self.targetUrl.substr(0, self.targetUrl.indexOf('#'));
                    }
                },
                changeAction: function (name) {
                    var self = this;
                    var replaceFunction = function (string, start, what) {
                        return string.substring(0, start) + what;
                    };
                    self.targetUrl = replaceFunction(self.targetUrl,self.targetUrl.indexOf("&mg-action=") + 11,name);
                },

                checkSuggested: function (formTargetId) {
                    var self = this;
                    var formCont = new mgFormControler(formTargetId);
                    var formData = formCont.getFieldsData();

                    if (self.checkedTlds.length > 0) {
                        formData.formData.tlds = self.checkedTlds;
                    } else {
                        var suggTempTldList = [];
                        $(self.tlds).each(function () {
                            suggTempTldList.push(this.name);
                        });
                        formData.formData.tlds = suggTempTldList;
                    }
                    self.refreshUrl();
                    self.changeAction('checkSuggested');
                    self.addUrlComponent('ajax', '1');
                    $.post(self.targetUrl, formData)
                    .done(function( data ) {
                        self.suggested = data.data;

                        self.$nextTick(function() {
                            loadCartAnimation();
                        });
                    });
                },
                updateProjects: function (formTargetId){
                    var self = this;
                    var isRunSuggested = false;
                    if (self.projects.categores) {
                        isRunSuggested     = true;
                        self.categores     = self.projects.categores;
                        self.tldsCount     = self.projects.countTlds;
                        self.sld           = self.projects.domain;
                        var findCategory   = null;
                        if (self.projects.categores.length > 0) {
                            for (var id in self.categores) {
                                if (self.categores[id].allTldCount > 0) {
                                    self.categoreCurent = self.categores[id].id;
                                    if (self.projects.categores[0].tldCount === 0  && self.projects.categores[id].subCategores && self.projects.categores[id].subCategores.length > 0) {
                                        for (var sid in self.categores[id].subCategores) {
                                            if (self.categores[id].subCategores[sid].tldCount > 0) {
                                                self.activeCategory = self.categores[id].subCategores[sid].id;
                                                break;
                                            }
                                        }
                                    } else {
                                        self.activeCategory = self.categoreCurent;
                                    }
                                    break;
                                }
                            }
                            self.checkAvailability();
                        }
                    }
                    else if (self.projects.tlds) {
                        isRunSuggested     = true;
                        self.tldsCount     = self.projects.countTlds;
                        self.sld           = self.projects.domain;
                        self.tlds          = self.projects.tlds;
                        
                        self.checkAvailability();
                    }

                    if (self.projects.specialChoice) {
                        self.specialChoice = self.projects.specialChoice;
                    } else {
                        self.specialChoice = false;
                    }

                    if (isRunSuggested && formTargetId) {
                        self.checkSuggested(formTargetId);
                    }else{
                        self.$nextTick(function() {
                            loadCartAnimation();
                        });
                    }

                },
                submitForm : function (targetId) {
                    var self = this;
                    var formTargetId = ($('#'+targetId)[0].tagName === 'FORM') ? targetId : $('#'+targetId).find('form').prop('id');
                    if(formTargetId){
                        var formCont = new mgFormControler(formTargetId);
                        var formData = formCont.getFieldsData();
                        
                        if (!self.checkIsValidDomain())
                        {
                            formCont.updateFieldsValidationMessages({search: "Invalid domain name"});
                            
                            return;
                        }
                        else
                        {
                            formCont.updateFieldsValidationMessages({});
                        }
                        self.pageLoading = true;
                        self.isSuggested = false;
                        self.premiumPricing = [];
                        self.refreshUrl();
                        self.addUrlComponent('loadData', formTargetId);
                        self.addUrlComponent('ajax', '1');
                        self.addUrlComponent('mgFormAction', $('#'+formTargetId).attr('mgformaction'));
                        formData.formData.tlds = self.checkedTlds;
                        self.sld = formData.formData.search;
                        $.post(self.targetUrl, formData)
                        .done(function( data ) {
                            data = data.data;
                            self.pageLoading = false;
                            self.suggestedActiveCategory = true;
                            self.showResultAndCart = true;
                            if(data && data.status === 'success'){
                                self.showModal = false;
                                self.projects = data.rawData;
                                self.suggested = [];
                                self.updateProjects(formTargetId);
                            }
                        });
                    }
                },
                checkIsValidDomain: function () {
                    var self = this;

                    if (self.searchString === ''){
                        self.isSearchString = false;
                    }
                    // else if (punycode.encode(self.searchString) == (self.searchString + "-")) {
                    //     var re = new RegExp(/^((?:(?:(?:\w[\.\-\+]?)*)\w)+)((?:(?:(?:\w[\.\-\+]?){0,62})\w)+) $/);
                    //     self.isSearchString = self.searchString.match(re);
                    // }
                    else {
                        self.isSearchString = true;
                    }
                    return self.isSearchString
                }, 
                isSuggestedFun: function () {
                    var self = this;
                    if (self.isSuggested) {
                        self.isSuggested = false;
                    } else {
                        self.isSuggested = true;
                    }
                },
                updatePremiumPricing: function(row) {
                    var self = this;
                    if (row.premium_pricing !== undefined && row.premium_pricing !== null && (row.sld === self.searchString || ((row.sld + row.tld) === self.searchString)))
                    {
                        self.premiumPricing[row.id] = row.premium_pricing;
                    }
                },
                getTldPricing: function (tld, first) {
                    if (!first){
                        first = false;
                    }
                    var self = this;
                    if (self.premiumPricing[tld.id] === undefined)
                    {
                        var pricingKeys = Object.keys(tld.priceRegister);
                        return first === false ? tld.priceRegister : tld.priceRegister[pricingKeys[0]];
                    }
                    else if (tld.sld !== undefined && tld.sld !== self.searchString)
                    {
                        var pricingKeys = Object.keys(tld.priceRegister);
                        return first === false ? tld.priceRegister : tld.priceRegister[pricingKeys[0]];
                    }
                    
                    return first === false ? {1 : self.premiumPricing[tld.id].register} : self.premiumPricing[tld.id].register;
                }
                
            }
        });
    };
};

function mgFormControler(targetFormId) {
    this.fields = null;
    this.data = {};
    this.formId = targetFormId;
    
    this.loadFormFields = function(){
        var that = this;
        jQuery('#'+this.formId).find('input,select,textarea').each(function () {
            if (!jQuery(this).is(':disabled')) {
                var name = jQuery(this).attr('name');

                var value = null;

                if (name !== undefined) {
                    var type = jQuery(this).attr('type');
                    var regExp = /([a-zA-Z_0-9]+)\[([a-zA-Z_0-9]+)\]/g;

                    if (type == 'checkbox') {
                        value = 'off'
                             if (jQuery('#' + that.formId).find('input[name="' + name + '"]').next().hasClass('iCheck-helper')) {
                                jQuery.each(jQuery('#' + that.formId).find('input[name="' + name + '"]'), function () {
                                    if (jQuery(this).parent('div').hasClass('checked')) {
                                        value = jQuery(this).val();
                                    }
                                });
                             }else {
                                jQuery('#' + that.formId).find('input[name="' + name + '"]').each(function () {
                                    if (jQuery(this).is(':checked')) {
                                        value = jQuery(this).val();
                                    }
                                });
                             }
                    } else if (type == 'radio') {
                        if (jQuery(this).is(':checked')) {
                            value = jQuery(this).val();
                        }
                    } else {
                        value = jQuery(this).val();
                    }

                    if (value !== null) {
                        if (result = regExp.exec(name)) {
                            if (that.data[result[1]] === undefined) {
                                that.data[result[1]] = {}
                            }
                        } else {
                            that.data[name] = value;
                        }
                    }
                }
            }
        });
    };
    
    this.getFieldsData = function(){
        this.loadFormFields();
        return {formData : this.data};
    };
    
    this.updateFieldsValidationMessages = function(errorsList) {
        jQuery('#'+this.formId).find('input,select,textarea').each(function () {
            if (!jQuery(this).is(':disabled')) {
                var name = jQuery(this).attr('name');
                if(name !== undefined && errorsList[name] !== undefined)
                {
                    if(!jQuery(this).parent('.input-group').hasClass('has-error')) {
                        jQuery(this).parent('.input-group').addClass('has-error');
                    }
                    
                    var messagePlaceholder = jQuery(this).parent('.form-group').children('.form-feedback');
                    if(jQuery(messagePlaceholder).length > 0)
                    {    
                        jQuery(messagePlaceholder).html(errorsList[name]);
                        if(jQuery(messagePlaceholder).attr('hidden')){
                            jQuery(messagePlaceholder).removeAttr('hidden');
                        }
                    }
                }else if(name !== undefined) {
                    if(jQuery(this).parent('.input-group').hasClass('has-error')) {
                        jQuery(this).parent('.input-group').removeClass('has-error');
                    }
                    var messagePlaceholder = jQuery(this).next('.form-feedback');
                    if(jQuery(messagePlaceholder).length > 0){
                        jQuery(messagePlaceholder).html('');
                        if(!jQuery(messagePlaceholder).attr('hidden')){
                            jQuery(messagePlaceholder).attr('hidden', 'hidden');
                        }                        
                    }
                }
            }
        });
    };
};