{literal}
    <div class="section" v-show="showResultAndCart">
        <div class="section-header">
            <h3>{/literal}{$MGLANG->T('PopularExtensions')}{literal}</h3>
        </div>
        <ul class="domain-lookup-result list-group">
            <li v-for="tld in tlds" :class="(((tld.status == 'taken' || tld.status == 'free') && tld.addToCart == true)?'added ':'')+ 'domain-suggestion list-group-item'">
                <div class="content">
                    <span class="domain"> {{sld}}</span>
                    <span class="extension">{{tld.name}}</span>
                    <span v-for="label in tld.labels" data-toggle="tooltip" class="label" v-show="label.premium != 'on' || premiumPricing[tld.id] != null" :title="label.message" :style="'margin-left: 1em;background-color: #' + label.beckgroundColor + '; color: #' + label.color + ';'">{{label.name}}</span>
                </div>
                <!-- Register pricing years = 1 -->
                <div class="actions" v-if='tld.waiting == false && tld.status == "free" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(getTldPricing(tld)).length == 1)'>
                    <span class="price" v-html="getTldPricing(tld, true)"></span>
                    <button type="button" class="btn btn-info btn-sm btn-add-to-cart" v-for="(price, numberOfYear) in getTldPricing(tld)" v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, null, numberOfYear)">
                        {/literal}{$MGLANG->T('Registry')}{literal}
                    </button>

                </div>
                <!-- Register pricing years > 1 -->
                <div class="actions" v-if='tld.waiting == false && tld.status == "free"  && tld.addToCart == false  && tld.priceRegister != undefined && (Object.keys(getTldPricing(tld)).length > 1)'>
                    <span class="price" v-html="getTldPricing(tld, true)"></span>
                    <button type="button" class="btn btn-info btn-sm btn-add-to-cart" data-toggle="dropdown">
                        {/literal}{$MGLANG->T('Registry')}{literal}<span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu dropdown-menu-right">
                        <li class="dropdown-header">{/literal}{$MGLANG->T('ChooseBilingPeriod')}{literal}</li>
                        <li v-for="(price, numberOfYear) in tld.priceRegister">
                            <a v-on:click="tld.waiting = true; register(sld + tld.name, tld.id, null, numberOfYear)">
                                <span style="cursor: pointer;">{{price}}</span>
                            </a>
                        </li>
                    </ul>
                </div>

                <!-- Transfer pricing years = 1 -->
                <div class="actions" v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length == 1)'>
                    <span class="price" v-html="tld.priceTransfer['1']">
                    </span>
                    <button type="button" class="btn btn-info btn-sm btn-add-to-cart" v-for="(price, numberOfYear) in tld.priceTransfer" v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, null, numberOfYear)">
                        {/literal}{$MGLANG->T('Transfer')}{literal}
                    </button>

                </div>
                <!-- Transfer pricing years > -->
                <div class="actions" v-if='tld.waiting == false && tld.status == "taken" && tld.addToCart == false && tld.priceTransfer != undefined && (Object.keys(tld.priceTransfer).length > 1)'>
                    <span class="price" v-html="tld.priceTransfer['1']">
                    </span>
                    <button type="button" class="btn btn-info btn-sm btn-add-to-cart" data-toggle="dropdown">
                        {/literal}{$MGLANG->T('Transfer')}{literal}<span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu dropdown-menu-right">
                        <li class="dropdown-header">{/literal}{$MGLANG->T('ChooseBilingPeriod')}{literal}</li>
                        <li v-for="(price, numberOfYear) in tld.priceTransfer">
                            <a v-on:click="tld.waiting = true; transfer(sld + tld.name, tld.id, null, numberOfYear)">
                                <span style="cursor: pointer;">{{price}}  </span>
                            </a>
                        </li>
                    </ul>
                </div>
                <!-- In a Cart -->
                <div class="actions" v-if='(tld.status == "taken" || tld.status == "free") && tld.addToCart == true'>
                    <button class="btn btn-primary btn-add-to-cart">
                        {/literal}{$MGLANG->T('Added')}{literal} <i class="fa fa-check ls ls-check"></i>
                    </button>
                </div>

                <!-- Checking -->
                <div class="actions" v-if='tld.status == "none"  && tld.checked == false || tld.waiting'>
                    <div class="loader">
                        <div class="spinner spinner-sm">
                            <div class="rect1"></div>
                            <div class="rect2"></div>
                            <div class="rect3"></div>
                            <div class="rect4"></div>
                            <div class="rect5"></div>
                        </div>
                    </div>

                </div>


                <!-- Failed -->
                <div class="actions" v-if='(tld.status == "error" && tld.addToCart == false) || (tld.status == "taken" && tld.priceTransfer == undefined && tld.checked == true) || (tld.status == "free" && tld.priceRegister == undefined && tld.checked == true)'>
                    <span class="price"></span>
                    <span class="glyphicon glyphicon-remove" style="color: red;"></span>  {/literal}{$MGLANG->T('DomainNotAvailable')}{literal}
                </div>
            </li>



        </ul>
    </div>
{/literal}
